[Numpy-discussion] Solaris Sparc build broken

Michael Droettboom mdroe@stsci....
Wed Nov 4 11:15:54 CST 2009


I'm getting the following from r7603 on Solaris Sparc -- somehow related 
to not having a long double version of next after available.  I realise 
not everyone has access to (or is dependent on) this platform, so I'm 
willing to help in whatever way I can, I'm just not sure I understand 
the change yet.

compile options: '-Inumpy/core/include 
-Ibuild/src.solaris-2.8-sun4u-2.5/numpy/core/include/numpy 
-Inumpy/core/src -Inumpy/core -Inumpy/core/src/npymath 
-Inumpy/core/src/multiarray -Inumpy/core/src/umath -Inumpy/core/include 
-I/usr/stsci/pyssg/Python-2.5.1/include/python2.5 
-Ibuild/src.solaris-2.8-sun4u-2.5/numpy/core/src/multiarray 
-Ibuild/src.solaris-2.8-sun4u-2.5/numpy/core/src/umath -c'
cc: numpy/core/src/npymath/ieee754.c
"numpy/core/src/npymath/ieee754.c", line 172: #error: Needs nextafterl 
implementation for this platform
cc: acomp failed for numpy/core/src/npymath/ieee754.c
"numpy/core/src/npymath/ieee754.c", line 172: #error: Needs nextafterl 
implementation for this platform
cc: acomp failed for numpy/core/src/npymath/ieee754.c

Cheers,
Mike

-- 
Michael Droettboom
Science Software Branch
Operations and Engineering Division
Space Telescope Science Institute
Operated by AURA for NASA



More information about the NumPy-Discussion mailing list